Handle the event list loading on request and off-loading in GCTAEventList class

01/18/2016 10:44 AM - Knödlseder Jürgen

Status: Closed Start date: 01/18/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

To handle the case of a lot of event files on a machine with limited memory capabilities, I implemented in the past a logic in

GCTAObservation that loads events only when they are needed. This had the side effect that I had to add additional methods that

handle extraction of ROI, energy boundary and also GTI information independently of the GCTAEventList class. To avoid code

duplication I put some of the code in GCTASupport, but still, the GCTAObservation::git() method duplicates code in the

GCTAEventList::read() method, which is problematic for code maintenance.

It would be better that the loading upon request and off-loading logic is implement directly by the GCTAEventList class so that all

event list attributes will be handled by this class in a unique manner.

History

#1 - 01/18/2016 10:44 AM - Knödlseder Jürgen

- Subject changed from Handle the event list loading on request and off-loading in @GCTAEventList@ class to Handle the event list loading on

request and off-loading in GCTAEventList class

#2 - 01/18/2016 03:19 PM - Knödlseder Jürgen

- Target version set to 1.1.0

#3 - 02/12/2016 04:27 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

The event list disposal has now been implement at the level of the GCTAEventList class and the logic of event disposal in GCTAObservation has

been removed. This avoids now the need for code duplication, for example in the gti() method.

Merged into devel.
